[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegion.AddEllipse

Adds an elliptical area with the specified co-vertices to the region.

## Declaration

Source position: lazregions.pas line 82

`public procedure TLazRegion.AddEllipse(`
`AX1: Integer;`
`AY1: Integer;`
`AX2: Integer;`
`AY2: Integer`
`);`

## Arguments

`AX1` |  | Horizontal coordinate for the endpoint of the major axis.
`AY1` |  | Vertical coordinate for the endpoint of the major axis.
`AX2` |  | Horizontal coordinate for the endpoint of the minor axis.
`AY2` |  | Vertical coordinate for the endpoint of the minor axis.

## Description

AddEllipse is a procedure used to add an elliptical area with the specified co-vertices to the region. AX1 and AY1 is the point where the endpoint for the long axis is located. AX2 and AY2 is the point where the endpoint for the short axis is located. Each point is located perpendicular to the opposing axis, and its diameter bisects the opposing axis.

AddEllipse creates an instance of TLazRegionEllipse and assigns the arguments to the corresponding members in the new class instance. AddEllipse calls the AddPart method to store the new TLazRegionEllipse instance in the Parts member.

## See also

TLazRegion.Parts |  | List with the Rectangles, Polygons, and Ellipses that define the display area for the region.
TLazRegion.AddPart |  | Adds the specified part as a subregion in the Parts member.
TLazRegionEllipse |  | Implements a region defined as an Ellipse.